Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.parameters.aPar.provider
Class AParItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.amp.amf.parameters.aPar.util.AParAdapterFactory
              org.eclipse.amp.amf.parameters.aPar.provider.AParItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

    public class AParItemProviderAdapterFactory

extends AParAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Field Summary
`protected org.eclipse.emf.edit.provider.IChangeNotifier` | `changeNotifier` This is used to implement `IChangeNotifier`.
`protected ImportItemProvider` | `importItemProvider` This keeps track of the one adapter used for all `Import` instances.
`protected IncorporatesItemProvider` | `incorporatesItemProvider` This keeps track of the one adapter used for all `Incorporates` instances.
`protected ModelItemProvider` | `modelItemProvider` This keeps track of the one adapter used for all `Model` instances.
`protected ParameterItemProvider` | `parameterItemProvider` This keeps track of the one adapter used for all `Parameter` instances.
`protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` | `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory.
`protected SingleParameterItemProvider` | `singleParameterItemProvider` This keeps track of the one adapter used for all `SingleParameter` instances.
`protected java.util.Collection<java.lang.Object>` | `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`.
`protected SweepLinkItemProvider` | `sweepLinkItemProvider` This keeps track of the one adapter used for all `SweepLink` instances.
`protected SweepParameterItemProvider` | `sweepParameterItemProvider` This keeps track of the one adapter used for all `SweepParameter` instances.

Fields inherited from class org.eclipse.amp.amf.parameters.aPar.util.AParAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`AParItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`java.lang.Object` | `adapt(java.lang.Object object, java.lang.Object type)`
`void` | `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener.
`org.eclipse.emf.common.notify.Adapter` | `createImportAdapter()` This creates an adapter for a `Import`.
`org.eclipse.emf.common.notify.Adapter` | `createIncorporatesAdapter()` This creates an adapter for a `Incorporates`.
`org.eclipse.emf.common.notify.Adapter` | `createModelAdapter()` This creates an adapter for a `Model`.
`org.eclipse.emf.common.notify.Adapter` | `createParameterAdapter()` This creates an adapter for a `Parameter`.
`org.eclipse.emf.common.notify.Adapter` | `createSingleParameterAdapter()` This creates an adapter for a `SingleParameter`.
`org.eclipse.emf.common.notify.Adapter` | `createSweepLinkAdapter()` This creates an adapter for a `SweepLink`.
`org.eclipse.emf.common.notify.Adapter` | `createSweepParameterAdapter()` This creates an adapter for a `SweepParameter`.
`void` | `dispose()` This disposes all of the item providers created by this factory.
`void` | `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` | `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` | `isFactoryForType(java.lang.Object type)`
`void` | `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` | `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.eclipse.amp.amf.parameters.aPar.util.AParAdapterFactory
`createAdapter, createEObjectAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### parentAdapterFactory

    protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

### changeNotifier

    protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

### modelItemProvider

    protected ModelItemProvider modelItemProvider

  This keeps track of the one adapter used for all `Model` instances.

### importItemProvider

    protected ImportItemProvider importItemProvider

  This keeps track of the one adapter used for all `Import` instances.

### incorporatesItemProvider

    protected IncorporatesItemProvider incorporatesItemProvider

  This keeps track of the one adapter used for all `Incorporates` instances.

### parameterItemProvider

    protected ParameterItemProvider parameterItemProvider

  This keeps track of the one adapter used for all `Parameter` instances.

### singleParameterItemProvider

    protected SingleParameterItemProvider singleParameterItemProvider

  This keeps track of the one adapter used for all `SingleParameter` instances.

### sweepParameterItemProvider

    protected SweepParameterItemProvider sweepParameterItemProvider

  This keeps track of the one adapter used for all `SweepParameter` instances.

### sweepLinkItemProvider

    protected SweepLinkItemProvider sweepLinkItemProvider

  This keeps track of the one adapter used for all `SweepLink` instances.

Constructor Detail

### AParItemProviderAdapterFactory

    public AParItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createModelAdapter

    public org.eclipse.emf.common.notify.Adapter createModelAdapter()

  This creates an adapter for a `Model`.

  Overrides:
    `createModelAdapter` in class `AParAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Model`

### createImportAdapter

    public org.eclipse.emf.common.notify.Adapter createImportAdapter()

  This creates an adapter for a `Import`.

  Overrides:
    `createImportAdapter` in class `AParAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Import`

### createIncorporatesAdapter

    public org.eclipse.emf.common.notify.Adapter createIncorporatesAdapter()

  This creates an adapter for a `Incorporates`.

  Overrides:
    `createIncorporatesAdapter` in class `AParAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Incorporates`

### createParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createParameterAdapter()

  This creates an adapter for a `Parameter`.

  Overrides:
    `createParameterAdapter` in class `AParAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Parameter`

### createSingleParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createSingleParameterAdapter()

  This creates an adapter for a `SingleParameter`.

  Overrides:
    `createSingleParameterAdapter` in class `AParAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SingleParameter`

### createSweepParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createSweepParameterAdapter()

  This creates an adapter for a `SweepParameter`.

  Overrides:
    `createSweepParameterAdapter` in class `AParAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SweepParameter`

### createSweepLinkAdapter

    public org.eclipse.emf.common.notify.Adapter createSweepLinkAdapter()

  This creates an adapter for a `SweepLink`.

  Overrides:
    `createSweepLinkAdapter` in class `AParAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SweepLink`

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `AParAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD